Subject: Re: [manet] Generating Selfishness in manet ... PLEASE HELP ME

From: Vítor Jesus <[email-masked]>
Date: Fri, 12 Nov 2004 10:52:50 +0000 (GMT)

In DSR (I'm more familiar to DSR than AODV, so I'll
use it here), it is very simple to do that but some
understanding of the code is needed.
The recv() function (DSRAgent.cc) is the starting
point. From there, all packets that arrive (either
from MAC or upper layers) are processed.

I suggest you to implement a filter on that method (or
derived ones) so that, according to some rule you
specify, some packets are forwarded to next hop or
not.

--Vítor 

 --- Shahriar Shamil Uulu <[email-masked]>
wrote: 
> Hi Vitor Jesus,
> This exactly what i want to do as you mentioned. The
> node or the group of nodes must silently drop the
> packets, at the end of the simulation i want to
> analyze and show that how many packets has been
> dropped by selfish node. Most probably i am planning
> to do it with AODV or DSR protocols in ns2 .So if
> you have any idea how to do that please give me some
> guidelines.It would be most apperciated. SORRY FOR
> 2nd COPY 
> Thank you in advance
> 
> 
> 
> Shahriar Shamil Uulu 
> Hyderabad Central University 
> M.Tech(Computer Science)
> email:[email-masked]
> website: http://shamilson.narod.ru
> 
>  
> 
> 
> 
> 
> 
> 
> 
> 			
> ---------------------------------
> Do you Yahoo!?
>  Check out the new Yahoo! Front Page. www.yahoo.com 

___________________________________________________________ 
ALL-NEW Yahoo! Messenger - all new features - even more fun! http://uk.messenger.yahoo.com

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet